/*
 * (c)COPYRIGHT
 * ALL RIGHT RESERVED
 *
 * FileName : w5500.c
 * -----------------------------------------------------------------
 */
#include <stdio.h>
#include <string.h>
#include "W5500\w5500_delay.h"

/*******************************************************************************
 * Function Name  : Delay_us
 * Description    : Delay per micro second.
 * Input          : time_us
 * Output         : None
 * Return         : None
 *******************************************************************************/
void Delay_us( uint8 time_us )
{
    register uint8 i;
    register uint8 j;
    for( i=0;i<time_us;i++ )
    {for( j=0;j<5;j++ )          // 25CLK
        {
            asm("nop");       //1CLK
            asm("nop");       //1CLK
            asm("nop");       //1CLK
            asm("nop");       //1CLK
            asm("nop");       //1CLK
        }
    }                              // 25CLK*0.04us=1us
}

/*******************************************************************************
 * Function Name  : Delay_ms
 * Description    : Delay per mili second.
 * Input          : time_ms
 * Output         : None
 * Return         : None
 *******************************************************************************/
void Delay_ms( uint16 time_ms )
{
    register uint16 i;
    for( i=0;i<time_ms;i++ )
    {
        Delay_us(250);
        Delay_us(250);
        Delay_us(250);
        Delay_us(250);
    }
}


